Subject: [PATCH V5] ARM: LPAE: Fix mapping in alloc_init_section for unaligned addresses

From: [email-masked] (Santosh Shilimkar)
Date: Fri, 8 Feb 2013 20:19:08 +0530

On Friday 08 February 2013 08:13 PM, Christoffer Dall wrote:
> On Fri, Feb 8, 2013 at 6:30 AM, R Sricharan <[email-masked]> wrote:
>> With LPAE enabled, alloc_init_section() does not map the entire
>> address space for unaligned addresses.
>>
>> The issue also reproduced with CMA + LPAE. CMA tries to map 16MB
>> with page granularity mappings during boot. alloc_init_pte()
>> is called and out of 16MB, only 2MB gets mapped and rest remains
>> unaccessible.
>>
>> Because of this OMAP5 boot is broken with CMA + LPAE enabled.
>> Fix the issue by ensuring that the entire addresses are
>> mapped.
>>
>> Signed-off-by: R Sricharan <[email-masked]>
>> Cc: Catalin Marinas <[email-masked]>
>> Cc: Christoffer Dall <[email-masked]>
>> Cc: Russell King <[email-masked]>
>> Acked-by: Santosh Shilimkar <[email-masked]>
>> Tested-by: Christoffer Dall <[email-masked]>
>
> I don't think that I've tested this version of the patch, but ok.
>
Indeed. Neither I have acke'd the updated version ;)
Tags from old patch doesn't apply anymore when patch
is completely revamped.

Regards,
Santosh